diff -Naur linux-source-2.6.38.orig/arch/mips/kernel/syscall.c linux-source-2.6.38.modif/arch/mips/kernel/syscall.c
--- linux-source-2.6.38.orig/arch/mips/kernel/syscall.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/arch/mips/kernel/syscall.c	2011-12-16 12:41:45.000000000 +0100
@@ -272,6 +272,9 @@
 {
 	struct thread_info *ti = task_thread_info(current);
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|set_thread_area");
+
 	ti->tp_value = addr;
 	if (cpu_has_userlocal)
 		write_c0_userlocal(addr);
diff -Naur linux-source-2.6.38.orig/arch/x86/kernel/signal.c linux-source-2.6.38.modif/arch/x86/kernel/signal.c
--- linux-source-2.6.38.orig/arch/x86/kernel/signal.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/arch/x86/kernel/signal.c	2011-12-16 12:37:27.000000000 +0100
@@ -485,6 +485,9 @@
 asmlinkage int
 sys_sigsuspend(int history0, int history1, old_sigset_t mask)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sigsuspend");
+
 	mask &= _BLOCKABLE;
 	spin_lock_irq(&current->sighand->siglock);
 	current->saved_sigmask = current->blocked;
@@ -506,6 +509,9 @@
 	struct k_sigaction new_ka, old_ka;
 	int ret = 0;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sigaction");
+
 	if (act) {
 		old_sigset_t mask;
 
@@ -549,6 +555,9 @@
 sys_sigaltstack(const stack_t __user *uss, stack_t __user *uoss,
 		struct pt_regs *regs)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sigaltstack");
+
 	return do_sigaltstack(uss, uoss, regs->sp);
 }
 
@@ -562,6 +571,9 @@
 	unsigned long ax;
 	sigset_t set;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sigreturn");
+
 	frame = (struct sigframe __user *)(regs->sp - 8);
 
 	if (!access_ok(VERIFY_READ, frame, sizeof(*frame)))
@@ -594,6 +606,9 @@
 	unsigned long ax;
 	sigset_t set;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|rt_sigreturn");
+
 	frame = (struct rt_sigframe __user *)(regs->sp - sizeof(long));
 	if (!access_ok(VERIFY_READ, frame, sizeof(*frame)))
 		goto badframe;
diff -Naur linux-source-2.6.38.orig/fs/aio.c linux-source-2.6.38.modif/fs/aio.c
--- linux-source-2.6.38.orig/fs/aio.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/fs/aio.c	2011-12-16 12:44:23.000000000 +0100
@@ -1252,6 +1252,9 @@
 	unsigned long ctx;
 	long ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|io_setup");
+
 	ret = get_user(ctx, ctxp);
 	if (unlikely(ret))
 		goto out;
@@ -1287,6 +1290,9 @@
 SYSCALL_DEFINE1(io_destroy, aio_context_t, ctx)
 {
 	struct kioctx *ioctx = lookup_ioctx(ctx);
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|io_destroy");
+
 	if (likely(NULL != ioctx)) {
 		io_destroy(ioctx);
 		return 0;
@@ -1747,6 +1753,9 @@
 SYSCALL_DEFINE3(io_submit, aio_context_t, ctx_id, long, nr,
 		struct iocb __user * __user *, iocbpp)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|io_submit");
+
 	return do_io_submit(ctx_id, nr, iocbpp, 0);
 }
 
@@ -1788,6 +1797,9 @@
 	u32 key;
 	int ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|io_cancel");
+
 	ret = get_user(key, &iocb->aio_key);
 	if (unlikely(ret))
 		return -EFAULT;
@@ -1851,6 +1863,9 @@
 	struct kioctx *ioctx = lookup_ioctx(ctx_id);
 	long ret = -EINVAL;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|io_getevents");
+
 	if (likely(ioctx)) {
 		if (likely(min_nr <= nr && min_nr >= 0))
 			ret = read_events(ioctx, min_nr, nr, events, timeout);
diff -Naur linux-source-2.6.38.orig/fs/buffer.c linux-source-2.6.38.modif/fs/buffer.c
--- linux-source-2.6.38.orig/fs/buffer.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/buffer.c	2011-12-16 12:48:31.000000000 +0100
@@ -3160,6 +3160,9 @@
 {
 	static int msg_count;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|bdflush");
+
 	if (!capable(CAP_SYS_ADMIN))
 		return -EPERM;
 
diff -Naur linux-source-2.6.38.orig/fs/dcache.c linux-source-2.6.38.modif/fs/dcache.c
--- linux-source-2.6.38.orig/fs/dcache.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/fs/dcache.c	2011-12-16 12:49:14.000000000 +0100
@@ -2800,6 +2800,9 @@
 	struct path pwd, root;
 	char *page = (char *) __get_free_page(GFP_USER);
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|getcwd");
+
 	if (!page)
 		return -ENOMEM;
 
diff -Naur linux-source-2.6.38.orig/fs/eventfd.c linux-source-2.6.38.modif/fs/eventfd.c
--- linux-source-2.6.38.orig/fs/eventfd.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/eventfd.c	2011-12-16 12:51:51.000000000 +0100
@@ -412,6 +412,9 @@
 	int fd, error;
 	struct file *file;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|eventfd2");
+
 	error = get_unused_fd_flags(flags & EFD_SHARED_FCNTL_FLAGS);
 	if (error < 0)
 		return error;
@@ -434,6 +437,9 @@
 
 SYSCALL_DEFINE1(eventfd, unsigned int, count)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|eventfd");
+
 	return sys_eventfd2(count, 0);
 }
 
diff -Naur linux-source-2.6.38.orig/fs/eventpoll.c linux-source-2.6.38.modif/fs/eventpoll.c
--- linux-source-2.6.38.orig/fs/eventpoll.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/eventpoll.c	2011-12-16 12:53:21.000000000 +0100
@@ -1272,6 +1272,9 @@
 	int error;
 	struct eventpoll *ep = NULL;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|epoll_create1");
+
 	/* Check the EPOLL_* constant for consistency.  */
 	BUILD_BUG_ON(EPOLL_CLOEXEC != O_CLOEXEC);
 
@@ -1297,6 +1300,9 @@
 
 SYSCALL_DEFINE1(epoll_create, int, size)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|epoll_create");
+
 	if (size <= 0)
 		return -EINVAL;
 
@@ -1318,6 +1324,9 @@
 	struct epitem *epi;
 	struct epoll_event epds;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|epoll_ctl");
+
 	error = -EFAULT;
 	if (ep_op_has_event(op) &&
 	    copy_from_user(&epds, event, sizeof(struct epoll_event)))
@@ -1430,6 +1439,9 @@
 	struct file *file;
 	struct eventpoll *ep;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|epoll_wait");
+
 	/* The maximum number of event must be greater than zero */
 	if (maxevents <= 0 || maxevents > EP_MAX_EVENTS)
 		return -EINVAL;
@@ -1483,6 +1495,9 @@
 	int error;
 	sigset_t ksigmask, sigsaved;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|epoll_pwait");
+
 	/*
 	 * If the caller wants a certain signal mask to be set during the wait,
 	 * we apply it here.
diff -Naur linux-source-2.6.38.orig/fs/exec.c linux-source-2.6.38.modif/fs/exec.c
--- linux-source-2.6.38.orig/fs/exec.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/fs/exec.c	2011-12-16 12:55:16.000000000 +0100
@@ -118,6 +118,9 @@
 	char *tmp = getname(library);
 	int error = PTR_ERR(tmp);
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|uselib");
+
 	if (IS_ERR(tmp))
 		goto out;
 
diff -Naur linux-source-2.6.38.orig/fs/fcntl.c linux-source-2.6.38.modif/fs/fcntl.c
--- linux-source-2.6.38.orig/fs/fcntl.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/fcntl.c	2011-12-16 12:56:54.000000000 +0100
@@ -57,6 +57,9 @@
 	struct files_struct * files = current->files;
 	struct fdtable *fdt;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|dup3");
+
 	if ((flags & ~O_CLOEXEC) != 0)
 		return -EINVAL;
 
@@ -115,6 +118,9 @@
 
 SYSCALL_DEFINE2(dup2, unsigned int, oldfd, unsigned int, newfd)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|dup2");
+
 	if (unlikely(newfd == oldfd)) { /* corner case */
 		struct files_struct *files = current->files;
 		int retval = oldfd;
@@ -133,6 +139,9 @@
 	int ret = -EBADF;
 	struct file *file = fget(fildes);
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|dup");
+
 	if (file) {
 		ret = get_unused_fd();
 		if (ret >= 0)
@@ -431,6 +440,9 @@
 	struct file *filp;
 	long err = -EBADF;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fcntl");
+
 	filp = fget(fd);
 	if (!filp)
 		goto out;
@@ -455,6 +467,9 @@
 	struct file * filp;
 	long err;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fcntl64");
+
 	err = -EBADF;
 	filp = fget(fd);
 	if (!filp)
diff -Naur linux-source-2.6.38.orig/fs/ioctl.c linux-source-2.6.38.modif/fs/ioctl.c
--- linux-source-2.6.38.orig/fs/ioctl.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/ioctl.c	2011-12-16 13:00:32.000000000 +0100
@@ -612,6 +612,9 @@
 	int error = -EBADF;
 	int fput_needed;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|ioctl");
+
 	filp = fget_light(fd, &fput_needed);
 	if (!filp)
 		goto out;
diff -Naur linux-source-2.6.38.orig/fs/ioprio.c linux-source-2.6.38.modif/fs/ioprio.c
--- linux-source-2.6.38.orig/fs/ioprio.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/ioprio.c	2011-12-16 13:01:09.000000000 +0100
@@ -82,6 +82,9 @@
 	struct pid *pgrp;
 	int ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|ioprio_set");
+
 	switch (class) {
 		case IOPRIO_CLASS_RT:
 			if (!capable(CAP_SYS_ADMIN))
@@ -192,6 +195,9 @@
 	int ret = -ESRCH;
 	int tmpio;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|ioprio_get");
+
 	rcu_read_lock();
 	switch (which) {
 		case IOPRIO_WHO_PROCESS:
diff -Naur linux-source-2.6.38.orig/fs/locks.c linux-source-2.6.38.modif/fs/locks.c
--- linux-source-2.6.38.orig/fs/locks.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/locks.c	2011-12-16 13:02:43.000000000 +0100
@@ -1609,6 +1609,9 @@
 	int can_sleep, unlock;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|flock");
+
 	error = -EBADF;
 	filp = fget(fd);
 	if (!filp)
diff -Naur linux-source-2.6.38.orig/fs/namei.c linux-source-2.6.38.modif/fs/namei.c
--- linux-source-2.6.38.orig/fs/namei.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/fs/namei.c	2011-12-16 13:08:31.000000000 +0100
@@ -2691,6 +2691,9 @@
 	struct dentry *dentry;
 	struct nameidata nd;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|mknodat");
+
 	if (S_ISDIR(mode))
 		return -EPERM;
 
@@ -2740,6 +2743,9 @@
 
 SYSCALL_DEFINE3(mknod, const char __user *, filename, int, mode, unsigned, dev)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|mknod");
+
 	return sys_mknodat(AT_FDCWD, filename, mode, dev);
 }
 
@@ -2771,6 +2777,9 @@
 	struct dentry *dentry;
 	struct nameidata nd;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|mkdirat");
+
 	error = user_path_parent(dfd, pathname, &nd, &tmp);
 	if (error)
 		goto out_err;
@@ -2803,6 +2812,9 @@
 
 SYSCALL_DEFINE2(mkdir, const char __user *, pathname, int, mode)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|mkdir");
+
 	return sys_mkdirat(AT_FDCWD, pathname, mode);
 }
 
@@ -2915,6 +2927,9 @@
 
 SYSCALL_DEFINE1(rmdir, const char __user *, pathname)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|rmdir");
+
 	return do_rmdir(AT_FDCWD, pathname);
 }
 
@@ -3012,6 +3027,9 @@
 
 SYSCALL_DEFINE3(unlinkat, int, dfd, const char __user *, pathname, int, flag)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|unlinkat");
+
 	if ((flag & ~AT_REMOVEDIR) != 0)
 		return -EINVAL;
 
@@ -3023,6 +3041,9 @@
 
 SYSCALL_DEFINE1(unlink, const char __user *, pathname)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|unlink");
+
 	return do_unlinkat(AT_FDCWD, pathname);
 }
 
@@ -3055,6 +3076,9 @@
 	struct dentry *dentry;
 	struct nameidata nd;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|symlinkat");
+
 	from = getname(oldname);
 	if (IS_ERR(from))
 		return PTR_ERR(from);
@@ -3090,6 +3114,9 @@
 
 SYSCALL_DEFINE2(symlink, const char __user *, oldname, const char __user *, newname)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|symlink");
+
 	return sys_symlinkat(oldname, AT_FDCWD, newname);
 }
 
@@ -3148,6 +3175,9 @@
 	int error;
 	char *to;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|linkat");
+
 	if ((flags & ~AT_SYMLINK_FOLLOW) != 0)
 		return -EINVAL;
 
@@ -3191,6 +3221,9 @@
 
 SYSCALL_DEFINE2(link, const char __user *, oldname, const char __user *, newname)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|link");
+
 	return sys_linkat(AT_FDCWD, oldname, AT_FDCWD, newname, 0);
 }
 
@@ -3351,6 +3384,9 @@
 	char *to;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|renameat");
+
 	error = user_path_parent(olddfd, oldname, &oldnd, &from);
 	if (error)
 		goto exit;
@@ -3436,6 +3472,9 @@
 
 SYSCALL_DEFINE2(rename, const char __user *, oldname, const char __user *, newname)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|rename");
+
 	return sys_renameat(AT_FDCWD, oldname, AT_FDCWD, newname);
 }
 
diff -Naur linux-source-2.6.38.orig/fs/namespace.c linux-source-2.6.38.modif/fs/namespace.c
--- linux-source-2.6.38.orig/fs/namespace.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/fs/namespace.c	2011-12-16 13:08:58.000000000 +0100
@@ -2464,6 +2464,9 @@
 	struct path new, old, parent_path, root_parent, root;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|pivot_root");
+
 	if (!capable(CAP_SYS_ADMIN))
 		return -EPERM;
 
diff -Naur linux-source-2.6.38.orig/fs/nfsctl.c linux-source-2.6.38.modif/fs/nfsctl.c
--- linux-source-2.6.38.orig/fs/nfsctl.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/nfsctl.c	2011-12-16 16:07:19.000000000 +0100
@@ -91,6 +91,9 @@
 	int version;
 	int err;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|nfsservctl");
+
 	if (copy_from_user(&version, &arg->ca_version, sizeof(int)))
 		return -EFAULT;
 
diff -Naur linux-source-2.6.38.orig/fs/notify/inotify/inotify_user.c linux-source-2.6.38.modif/fs/notify/inotify/inotify_user.c
--- linux-source-2.6.38.orig/fs/notify/inotify/inotify_user.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/fs/notify/inotify/inotify_user.c	2011-12-16 13:10:53.000000000 +0100
@@ -726,6 +726,9 @@
 	struct fsnotify_group *group;
 	int ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|inotify_init1");
+
 	/* Check the IN_* constants for consistency.  */
 	BUILD_BUG_ON(IN_CLOEXEC != O_CLOEXEC);
 	BUILD_BUG_ON(IN_NONBLOCK != O_NONBLOCK);
@@ -748,6 +751,9 @@
 
 SYSCALL_DEFINE0(inotify_init)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|inotify_init");
+
 	return sys_inotify_init1(0);
 }
 
@@ -761,6 +767,9 @@
 	int ret, fput_needed;
 	unsigned flags = 0;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|inotify_add_watch");
+
 	filp = fget_light(fd, &fput_needed);
 	if (unlikely(!filp))
 		return -EBADF;
@@ -799,6 +808,9 @@
 	struct file *filp;
 	int ret = 0, fput_needed;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|inotify_rm_watch");
+
 	filp = fget_light(fd, &fput_needed);
 	if (unlikely(!filp))
 		return -EBADF;
diff -Naur linux-source-2.6.38.orig/fs/open.c linux-source-2.6.38.modif/fs/open.c
--- linux-source-2.6.38.orig/fs/open.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/fs/open.c	2011-12-16 13:19:16.000000000 +0100
@@ -131,6 +131,9 @@
 
 SYSCALL_DEFINE2(truncate, const char __user *, path, long, length)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|truncate");
+
 	return do_sys_truncate(path, length);
 }
 
@@ -181,6 +184,9 @@
 
 SYSCALL_DEFINE2(ftruncate, unsigned int, fd, unsigned long, length)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|ftruncate");
+
 	long ret = do_sys_ftruncate(fd, length, 1);
 	/* avoid REGPARM breakage on x86: */
 	asmlinkage_protect(2, ret, fd, length);
@@ -308,6 +314,9 @@
 	struct inode *inode;
 	int res;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|faccessat");
+
 	if (mode & ~S_IRWXO)	/* where's F_OK, X_OK, W_OK, R_OK? */
 		return -EINVAL;
 
@@ -372,11 +381,17 @@
 
 SYSCALL_DEFINE2(access, const char __user *, filename, int, mode)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|access");
+
 	return sys_faccessat(AT_FDCWD, filename, mode);
 }
 
 SYSCALL_DEFINE1(chdir, const char __user *, filename)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|chdir");
+
 	struct path path;
 	int error;
 
@@ -402,6 +417,9 @@
 	struct inode *inode;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fchdir");
+
 	error = -EBADF;
 	file = fget(fd);
 	if (!file)
@@ -427,6 +445,9 @@
 	struct path path;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|chroot");
+
 	error = user_path_dir(filename, &path);
 	if (error)
 		goto out;
@@ -458,6 +479,9 @@
 	int err = -EBADF;
 	struct iattr newattrs;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fchmod");
+
 	file = fget(fd);
 	if (!file)
 		goto out;
@@ -495,6 +519,9 @@
 	int error;
 	struct iattr newattrs;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fchmodat");
+
 	error = user_path_at(dfd, filename, LOOKUP_FOLLOW, &path);
 	if (error)
 		goto out;
@@ -523,6 +550,9 @@
 
 SYSCALL_DEFINE2(chmod, const char __user *, filename, mode_t, mode)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|chmod");
+
 	return sys_fchmodat(AT_FDCWD, filename, mode);
 }
 
@@ -558,6 +588,9 @@
 	struct path path;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|chown");
+
 	error = user_path(filename, &path);
 	if (error)
 		goto out;
@@ -579,6 +612,9 @@
 	int error = -EINVAL;
 	int follow;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fchownat");
+
 	if ((flag & ~AT_SYMLINK_NOFOLLOW) != 0)
 		goto out;
 
@@ -602,6 +638,9 @@
 	struct path path;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|lchown");
+
 	error = user_lpath(filename, &path);
 	if (error)
 		goto out;
@@ -622,6 +661,9 @@
 	int error = -EBADF;
 	struct dentry * dentry;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fchown");
+
 	file = fget(fd);
 	if (!file)
 		goto out;
@@ -921,6 +963,9 @@
 {
 	long ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|open");
+
 	if (force_o_largefile())
 		flags |= O_LARGEFILE;
 
@@ -935,6 +980,9 @@
 {
 	long ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|openat");
+
 	if (force_o_largefile())
 		flags |= O_LARGEFILE;
 
@@ -952,6 +1000,9 @@
  */
 SYSCALL_DEFINE2(creat, const char __user *, pathname, int, mode)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|creat");
+
 	return sys_open(pathname, O_CREAT | O_WRONLY | O_TRUNC, mode);
 }
 
@@ -988,6 +1039,9 @@
  */
 SYSCALL_DEFINE1(close, unsigned int, fd)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|close");
+
 	struct file * filp;
 	struct files_struct *files = current->files;
 	struct fdtable *fdt;
@@ -1027,6 +1081,9 @@
  */
 SYSCALL_DEFINE0(vhangup)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|vhangup");
+
 	if (capable(CAP_SYS_TTY_CONFIG)) {
 		tty_vhangup_self();
 		return 0;
diff -Naur linux-source-2.6.38.orig/fs/pipe.c linux-source-2.6.38.modif/fs/pipe.c
--- linux-source-2.6.38.orig/fs/pipe.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/pipe.c	2011-12-16 15:45:20.000000000 +0100
@@ -1104,6 +1104,9 @@
 	int fd[2];
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|pipe2");
+
 	error = do_pipe_flags(fd, flags);
 	if (!error) {
 		if (copy_to_user(fildes, fd, sizeof(fd))) {
@@ -1117,6 +1120,9 @@
 
 SYSCALL_DEFINE1(pipe, int __user *, fildes)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|pipe");
+
 	return sys_pipe2(fildes, 0);
 }
 
diff -Naur linux-source-2.6.38.orig/fs/quota/quota.c linux-source-2.6.38.modif/fs/quota/quota.c
--- linux-source-2.6.38.orig/fs/quota/quota.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/quota/quota.c	2011-12-16 16:05:12.000000000 +0100
@@ -335,6 +335,9 @@
 	struct path path, *pathp = NULL;
 	int ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|quotactl");
+
 	cmds = cmd >> SUBCMDSHIFT;
 	type = cmd & SUBCMDMASK;
 
diff -Naur linux-source-2.6.38.orig/fs/readdir.c linux-source-2.6.38.modif/fs/readdir.c
--- linux-source-2.6.38.orig/fs/readdir.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/readdir.c	2011-12-16 13:26:21.000000000 +0100
@@ -109,6 +109,9 @@
 	struct file * file;
 	struct readdir_callback buf;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|old_readdir");
+
 	error = -EBADF;
 	file = fget(fd);
 	if (!file)
@@ -197,6 +200,9 @@
 	struct getdents_callback buf;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|getdents");
+
 	error = -EFAULT;
 	if (!access_ok(VERIFY_WRITE, dirent, count))
 		goto out;
@@ -280,6 +286,9 @@
 	struct getdents_callback64 buf;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|getdents64");
+
 	error = -EFAULT;
 	if (!access_ok(VERIFY_WRITE, dirent, count))
 		goto out;
diff -Naur linux-source-2.6.38.orig/fs/read_write.c linux-source-2.6.38.modif/fs/read_write.c
--- linux-source-2.6.38.orig/fs/read_write.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/read_write.c	2011-12-16 16:47:31.000000000 +0100
@@ -175,6 +175,9 @@
 	struct file * file;
 	int fput_needed;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|lseek");
+
 	retval = -EBADF;
 	file = fget_light(fd, &fput_needed);
 	if (!file)
@@ -202,6 +205,9 @@
 	loff_t offset;
 	int fput_needed;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sys_llseek");
+
 	retval = -EBADF;
 	file = fget_light(fd, &fput_needed);
 	if (!file)
@@ -405,6 +411,9 @@
 	ssize_t ret = -EBADF;
 	int fput_needed;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|read");
+
 	file = fget_light(fd, &fput_needed);
 	if (file) {
 		loff_t pos = file_pos_read(file);
@@ -423,6 +432,9 @@
 	ssize_t ret = -EBADF;
 	int fput_needed;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|write");
+
 	file = fget_light(fd, &fput_needed);
 	if (file) {
 		loff_t pos = file_pos_read(file);
@@ -732,6 +744,9 @@
 	ssize_t ret = -EBADF;
 	int fput_needed;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|readv");
+
 	file = fget_light(fd, &fput_needed);
 	if (file) {
 		loff_t pos = file_pos_read(file);
@@ -753,6 +768,9 @@
 	ssize_t ret = -EBADF;
 	int fput_needed;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|writev");
+
 	file = fget_light(fd, &fput_needed);
 	if (file) {
 		loff_t pos = file_pos_read(file);
@@ -781,6 +799,9 @@
 	ssize_t ret = -EBADF;
 	int fput_needed;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|preadv");
+
 	if (pos < 0)
 		return -EINVAL;
 
@@ -806,6 +827,9 @@
 	ssize_t ret = -EBADF;
 	int fput_needed;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|pwritev");
+
 	if (pos < 0)
 		return -EINVAL;
 
@@ -917,6 +941,9 @@
 	off_t off;
 	ssize_t ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sendfile");
+
 	if (offset) {
 		if (unlikely(get_user(off, offset)))
 			return -EFAULT;
@@ -935,6 +962,9 @@
 	loff_t pos;
 	ssize_t ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sendfile64");
+
 	if (offset) {
 		if (unlikely(copy_from_user(&pos, offset, sizeof(loff_t))))
 			return -EFAULT;
diff -Naur linux-source-2.6.38.orig/fs/select.c linux-source-2.6.38.modif/fs/select.c
--- linux-source-2.6.38.orig/fs/select.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/select.c	2011-12-16 15:45:56.000000000 +0100
@@ -602,6 +602,9 @@
 	struct timeval tv;
 	int ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|select");
+
 	if (tvp) {
 		if (copy_from_user(&tv, tvp, sizeof(tv)))
 			return -EFAULT;
@@ -681,6 +684,9 @@
 	size_t sigsetsize = 0;
 	sigset_t __user *up = NULL;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|pselect6");
+
 	if (sig) {
 		if (!access_ok(VERIFY_READ, sig, sizeof(void *)+sizeof(size_t))
 		    || __get_user(up, (sigset_t __user * __user *)sig)
@@ -704,6 +710,9 @@
 {
 	struct sel_arg_struct a;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|old_select");
+
 	if (copy_from_user(&a, arg, sizeof(a)))
 		return -EFAULT;
 	return sys_select(a.n, a.inp, a.outp, a.exp, a.tvp);
@@ -920,6 +929,9 @@
 	struct timespec end_time, *to = NULL;
 	int ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|poll");
+
 	if (timeout_msecs >= 0) {
 		to = &end_time;
 		poll_select_set_timeout(to, timeout_msecs / MSEC_PER_SEC,
@@ -957,6 +969,9 @@
 	struct timespec ts, end_time, *to = NULL;
 	int ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|ppoll");
+
 	if (tsp) {
 		if (copy_from_user(&ts, tsp, sizeof(ts)))
 			return -EFAULT;
diff -Naur linux-source-2.6.38.orig/fs/signalfd.c linux-source-2.6.38.modif/fs/signalfd.c
--- linux-source-2.6.38.orig/fs/signalfd.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/signalfd.c	2011-12-16 13:29:11.000000000 +0100
@@ -225,6 +225,9 @@
 	sigset_t sigmask;
 	struct signalfd_ctx *ctx;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|signalfd4");
+
 	/* Check the SFD_* constants for consistency.  */
 	BUILD_BUG_ON(SFD_CLOEXEC != O_CLOEXEC);
 	BUILD_BUG_ON(SFD_NONBLOCK != O_NONBLOCK);
@@ -276,5 +279,8 @@
 SYSCALL_DEFINE3(signalfd, int, ufd, sigset_t __user *, user_mask,
 		size_t, sizemask)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|signalfd");
+
 	return sys_signalfd4(ufd, user_mask, sizemask, 0);
 }
diff -Naur linux-source-2.6.38.orig/fs/splice.c linux-source-2.6.38.modif/fs/splice.c
--- linux-source-2.6.38.orig/fs/splice.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/fs/splice.c	2011-12-16 13:32:02.000000000 +0100
@@ -1659,6 +1659,9 @@
 	long error;
 	int fput;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|vmsplice");
+
 	if (unlikely(nr_segs > UIO_MAXIOV))
 		return -EINVAL;
 	else if (unlikely(!nr_segs))
@@ -1686,6 +1689,9 @@
 	struct file *in, *out;
 	int fput_in, fput_out;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|splice");
+
 	if (unlikely(!len))
 		return 0;
 
@@ -2026,6 +2032,9 @@
 	struct file *in;
 	int error, fput_in;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|tee");
+
 	if (unlikely(!len))
 		return 0;
 
diff -Naur linux-source-2.6.38.orig/fs/stat.c linux-source-2.6.38.modif/fs/stat.c
--- linux-source-2.6.38.orig/fs/stat.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/stat.c	2011-12-16 13:36:32.000000000 +0100
@@ -156,6 +156,9 @@
 	struct kstat stat;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|stat");
+
 	error = vfs_stat(filename, &stat);
 	if (error)
 		return error;
@@ -169,6 +172,9 @@
 	struct kstat stat;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|lstat");
+
 	error = vfs_lstat(filename, &stat);
 	if (error)
 		return error;
@@ -181,6 +187,9 @@
 	struct kstat stat;
 	int error = vfs_fstat(fd, &stat);
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fstat");
+
 	if (!error)
 		error = cp_old_stat(&stat, statbuf);
 
@@ -245,6 +254,9 @@
 	struct kstat stat;
 	int error = vfs_stat(filename, &stat);
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sys_newstat");
+
 	if (error)
 		return error;
 	return cp_new_stat(&stat, statbuf);
@@ -256,6 +268,9 @@
 	struct kstat stat;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sys_newlstat");
+
 	error = vfs_lstat(filename, &stat);
 	if (error)
 		return error;
@@ -282,6 +297,9 @@
 	struct kstat stat;
 	int error = vfs_fstat(fd, &stat);
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sys_newfstat");
+
 	if (!error)
 		error = cp_new_stat(&stat, statbuf);
 
@@ -294,6 +312,9 @@
 	struct path path;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|readlinkat");
+
 	if (bufsiz <= 0)
 		return -EINVAL;
 
@@ -318,6 +339,9 @@
 SYSCALL_DEFINE3(readlink, const char __user *, path, char __user *, buf,
 		int, bufsiz)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|readlink");
+
 	return sys_readlinkat(AT_FDCWD, path, buf, bufsiz);
 }
 
@@ -368,6 +392,9 @@
 	struct kstat stat;
 	int error = vfs_stat(filename, &stat);
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|stat64");
+
 	if (!error)
 		error = cp_new_stat64(&stat, statbuf);
 
@@ -380,6 +407,9 @@
 	struct kstat stat;
 	int error = vfs_lstat(filename, &stat);
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|lstat64");
+
 	if (!error)
 		error = cp_new_stat64(&stat, statbuf);
 
@@ -391,6 +421,9 @@
 	struct kstat stat;
 	int error = vfs_fstat(fd, &stat);
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fstat64");
+
 	if (!error)
 		error = cp_new_stat64(&stat, statbuf);
 
@@ -403,6 +436,9 @@
 	struct kstat stat;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fstatat64");
+
 	error = vfs_fstatat(dfd, filename, &stat, flag);
 	if (error)
 		return error;
diff -Naur linux-source-2.6.38.orig/fs/statfs.c linux-source-2.6.38.modif/fs/statfs.c
--- linux-source-2.6.38.orig/fs/statfs.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/statfs.c	2011-12-16 16:11:18.000000000 +0100
@@ -151,6 +151,9 @@
 	struct path path;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|statfs");
+
 	error = user_path(pathname, &path);
 	if (!error) {
 		struct statfs tmp;
@@ -167,6 +170,9 @@
 	struct path path;
 	long error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|statfs64");
+
 	if (sz != sizeof(*buf))
 		return -EINVAL;
 	error = user_path(pathname, &path);
@@ -186,6 +192,9 @@
 	struct statfs tmp;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fstatfs");
+
 	error = -EBADF;
 	file = fget(fd);
 	if (!file)
@@ -204,6 +213,9 @@
 	struct statfs64 tmp;
 	int error;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fstatfs64");
+
 	if (sz != sizeof(*buf))
 		return -EINVAL;
 
diff -Naur linux-source-2.6.38.orig/fs/sync.c linux-source-2.6.38.modif/fs/sync.c
--- linux-source-2.6.38.orig/fs/sync.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/fs/sync.c	2011-12-16 16:05:21.000000000 +0100
@@ -97,6 +97,9 @@
  */
 SYSCALL_DEFINE0(sync)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|sync");
+
 	wakeup_flusher_threads(0);
 	sync_filesystems(0);
 	sync_filesystems(1);
@@ -195,11 +198,17 @@
 
 SYSCALL_DEFINE1(fsync, unsigned int, fd)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fsync");
+
 	return do_fsync(fd, 0);
 }
 
 SYSCALL_DEFINE1(fdatasync, unsigned int, fd)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|fdatasync");
+
 	return do_fsync(fd, 1);
 }
 
diff -Naur linux-source-2.6.38.orig/fs/timerfd.c linux-source-2.6.38.modif/fs/timerfd.c
--- linux-source-2.6.38.orig/fs/timerfd.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/fs/timerfd.c	2011-12-16 13:41:20.000000000 +0100
@@ -167,6 +167,9 @@
 	int ufd;
 	struct timerfd_ctx *ctx;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|timerfd_create");
+
 	/* Check the TFD_* constants for consistency.  */
 	BUILD_BUG_ON(TFD_CLOEXEC != O_CLOEXEC);
 	BUILD_BUG_ON(TFD_NONBLOCK != O_NONBLOCK);
@@ -200,6 +203,9 @@
 	struct timerfd_ctx *ctx;
 	struct itimerspec ktmr, kotmr;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|timerfd_settime");
+
 	if (copy_from_user(&ktmr, utmr, sizeof(ktmr)))
 		return -EFAULT;
 
@@ -256,6 +262,9 @@
 	struct timerfd_ctx *ctx;
 	struct itimerspec kotmr;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|timerfd_gettime");
+
 	file = timerfd_fget(ufd);
 	if (IS_ERR(file))
 		return PTR_ERR(file);
